# Тут будет настройка гибернации в файл подкачки
# Файл подкачки создан в /etc/nixos/hardware-configuration.nix

# Проверить установлен ли сейчас resume: cat /sys/power/resume
# Если 0:0, то ничего не указано

# Узнать uuid файла подкачки:
# lsblk `df /swapfile | awk '/^\/dev/ {print $1}'` -no UUID

# Узнать offset файла подкачки:
# sudo filefrag -v /swapfile | awk '$1=="0:" {print substr($4, 1, length($4)-2)}'

{
  boot = {
    resumeDevice = "/dev/disk/by-uuid/15630f8d-edf8-4e0b-8df4-9ac20f80fc88";
    kernelParams = [ "resume_offset=18745344" ];
  };

  # Не знаю надо ли это. На виртуалке я не могу забутиться в любом случае
  # boot.initrd.systemd.enable = true;
}
